org.apache.lucene.index

## Class BaseTermVectorsFormatTestCase.RandomDocumentFactory

- java.lang.Object
- - org.apache.lucene.index.BaseTermVectorsFormatTestCase.RandomDocumentFactory

Enclosing class:
  BaseTermVectorsFormatTestCase

    protected class BaseTermVectorsFormatTestCase.RandomDocumentFactory
    extends Object

### Constructor Summary

Constructors
`protected` `BaseTermVectorsFormatTestCase.RandomDocumentFactory(int distinctFieldNames, int disctinctTerms)`

### Method Summary

Methods
`BaseTermVectorsFormatTestCase.RandomDocument` `newDocument(int fieldCount, int maxTermCount, BaseTermVectorsFormatTestCase.Options options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseTermVectorsFormatTestCase.RandomDocumentFactory

    protected BaseTermVectorsFormatTestCase.RandomDocumentFactory(int distinctFieldNames,
                                                       int disctinctTerms)

### Method Detail

#### newDocument

    public BaseTermVectorsFormatTestCase.RandomDocument newDocument(int fieldCount,
                                                           int maxTermCount,
                                                           BaseTermVectorsFormatTestCase.Options options)